## org.eclipse.amp.amf.parameters.aPar.presentation
Class AParModelWizard.AParModelWizardNewFileCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewFileCreationPage
                  org.eclipse.amp.amf.parameters.aPar.presentation.AParModelWizard.AParModelWizardNewFileCreationPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.widgets.Listener

Enclosing class:
  AParModelWizard

    public class AParModelWizard.AParModelWizardNewFileCreationPage

extends org.eclipse.ui.dialogs.WizardNewFileCreationPage

This is the one page of the wizard.

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`AParModelWizard.AParModelWizardNewFileCreationPage(java.lang.String pageId, org.eclipse.jface.viewers.IStructuredSelection selection)` Pass in the selection.

Method Summary
`org.eclipse.core.resources.IFile` `getModelFile()`

Methods inherited from class org.eclipse.ui.dialogs.WizardNewFileCreationPage
`createControl, createNewFile, getContainerFullPath, getFileExtension, getFileName, handleEvent, setAllowExistingResources, setContainerFullPath, setFileExtension, setFileName, setVisible`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### AParModelWizard.AParModelWizardNewFileCreationPage

    public AParModelWizard.AParModelWizardNewFileCreationPage(java.lang.String pageId,
                                                              org.eclipse.jface.viewers.IStructuredSelection selection)

  Pass in the selection.

Method Detail

### getModelFile

    public org.eclipse.core.resources.IFile getModelFile()